<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/ic_guide_vip_bg">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="@dimen/dp_20"
        android:fillViewport="true"
        app:layout_constraintBottom_toTopOf="@id/layout_pay_btn"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_user"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_70"
                android:orientation="horizontal"
                android:visibility="invisible"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                app:layout_constraintTop_toTopOf="parent"
                tools:listitem="@layout/listitem_guide_vip_user"
                tools:visibility="visible" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_industry"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_18"
                android:visibility="invisible"
                app:layout_constraintTop_toBottomOf="@id/rv_user"
                tools:visibility="visible">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_industry_bg"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="-12dp"
                    android:src="@mipmap/ic_guide_vip_industry_bg"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/viewFlipper" />

                <TextView
                    android:id="@+id/tv_industry_pre"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_18"
                    android:text="已为您找到"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@id/viewFlipper"
                    app:layout_constraintEnd_toStartOf="@id/viewFlipper" />

                <AdapterViewFlipper
                    android:id="@+id/viewFlipper"
                    android:layout_width="@dimen/dp_150"
                    android:layout_height="@dimen/dp_50"
                    android:layout_marginEnd="@dimen/dp_20"
                    android:autoStart="true"
                    android:flipInterval="500"
                    android:inAnimation="@animator/anim_vf_in"
                    android:loopViews="true"
                    android:outAnimation="@animator/anim_vf_out"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_industry_suf"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_18"
                    android:text="以下相关数据"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@id/viewFlipper"
                    app:layout_constraintStart_toEndOf="@id/viewFlipper" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <LinearLayout
                android:id="@+id/layout_tab"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:visibility="invisible"
                app:layout_constraintTop_toBottomOf="@id/layout_industry"
                tools:visibility="visible">

                <TextView
                    android:id="@+id/tv_tab1"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_36"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_weight="1"
                    android:background="@mipmap/ic_guide_vip_tab_checked"
                    android:gravity="center"
                    android:text="总计商机"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/tv_tab2"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_36"
                    android:layout_marginStart="@dimen/dp_8"
                    android:layout_weight="1"
                    android:background="@mipmap/ic_guide_vip_tab_default"
                    android:gravity="center"
                    android:text="每日更新"
                    android:textColor="@color/color_9bbbdf"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/tv_tab3"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_36"
                    android:layout_marginStart="@dimen/dp_8"
                    android:layout_weight="1"
                    android:background="@mipmap/ic_guide_vip_tab_default"
                    android:gravity="center"
                    android:text="数据类型"
                    android:textColor="@color/color_9bbbdf"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/tv_tab4"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_36"
                    android:layout_marginStart="@dimen/dp_8"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:layout_weight="1"
                    android:background="@mipmap/ic_guide_vip_tab_default"
                    android:gravity="center"
                    android:text="地区规模"
                    android:textColor="@color/color_9bbbdf"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginEnd="@dimen/dp_12"
                android:visibility="invisible"
                app:layout_constraintTop_toBottomOf="@id/layout_tab"
                tools:visibility="visible">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_total_info"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/ic_guide_vip_info_bg"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_total_info1"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        app:layout_constraintEnd_toStartOf="@id/layout_total_info2"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_total_info_icon1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/ic_guide_vip_total_info_icon1"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_count1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:text="0条"
                            android:textSize="@dimen/sp_20"
                            app:gradient_endColor="@color/color_6dd9f2"
                            app:gradient_startColor="@color/white"
                            app:layout_constraintBottom_toTopOf="@id/tv_total_info_title1"
                            app:layout_constraintStart_toEndOf="@id/iv_total_info_icon1"
                            app:layout_constraintTop_toTopOf="@id/iv_total_info_icon1" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_title1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="@dimen/dp_10"
                            android:text="相关商机"
                            android:textSize="@dimen/sp_12"
                            app:gradient_endColor="@color/color_05ace8"
                            app:gradient_startColor="@color/color_20f3e6"
                            app:layout_constraintBottom_toBottomOf="@id/iv_total_info_icon1"
                            app:layout_constraintEnd_toEndOf="@id/tv_total_info_count1"
                            app:layout_constraintStart_toStartOf="@id/tv_total_info_count1"
                            app:layout_constraintTop_toBottomOf="@id/tv_total_info_count1" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_total_info2"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@id/layout_total_info1"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_total_info_icon2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/ic_guide_vip_total_info_icon2"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_count2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:text="0条"
                            android:textSize="@dimen/sp_20"
                            app:gradient_endColor="@color/color_6dd9f2"
                            app:gradient_startColor="@color/white"
                            app:layout_constraintBottom_toTopOf="@id/tv_total_info_title2"
                            app:layout_constraintStart_toEndOf="@id/iv_total_info_icon2"
                            app:layout_constraintTop_toTopOf="@id/iv_total_info_icon2" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_title2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="@dimen/dp_10"
                            android:text="联系甲方"
                            android:textSize="@dimen/sp_12"
                            app:gradient_endColor="@color/color_05ace8"
                            app:gradient_startColor="@color/color_20f3e6"
                            app:layout_constraintBottom_toBottomOf="@id/iv_total_info_icon2"
                            app:layout_constraintEnd_toEndOf="@id/tv_total_info_count2"
                            app:layout_constraintStart_toStartOf="@id/tv_total_info_count2"
                            app:layout_constraintTop_toBottomOf="@id/tv_total_info_count2" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_total_info3"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintEnd_toStartOf="@id/layout_total_info2"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/layout_total_info1">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_total_info_icon3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/ic_guide_vip_total_info_icon3"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_count3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:text="0亿元"
                            android:textSize="@dimen/sp_20"
                            app:gradient_endColor="@color/color_6dd9f2"
                            app:gradient_startColor="@color/white"
                            app:layout_constraintBottom_toTopOf="@id/tv_total_info_title3"
                            app:layout_constraintStart_toEndOf="@id/iv_total_info_icon3"
                            app:layout_constraintTop_toTopOf="@id/iv_total_info_icon3" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_title3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="@dimen/dp_10"
                            android:text="交易规模"
                            android:textSize="@dimen/sp_12"
                            app:gradient_endColor="@color/color_05ace8"
                            app:gradient_startColor="@color/color_20f3e6"
                            app:layout_constraintBottom_toBottomOf="@id/iv_total_info_icon3"
                            app:layout_constraintEnd_toEndOf="@id/tv_total_info_count3"
                            app:layout_constraintStart_toStartOf="@id/tv_total_info_count3"
                            app:layout_constraintTop_toBottomOf="@id/tv_total_info_count3" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_total_info4"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_12"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@id/layout_total_info3"
                        app:layout_constraintTop_toBottomOf="@id/layout_total_info2">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_total_info_icon4"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/ic_guide_vip_total_info_icon4"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_count4"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:text="0条"
                            android:textSize="@dimen/sp_20"
                            app:gradient_endColor="@color/color_6dd9f2"
                            app:gradient_startColor="@color/white"
                            app:layout_constraintBottom_toTopOf="@id/tv_total_info_title4"
                            app:layout_constraintStart_toEndOf="@id/iv_total_info_icon4"
                            app:layout_constraintTop_toTopOf="@id/iv_total_info_icon4" />

                        <com.flyjingfish.gradienttextviewlib.GradientTextView
                            android:id="@+id/tv_total_info_title4"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="@dimen/dp_10"
                            android:text="昨日更新"
                            android:textSize="@dimen/sp_12"
                            app:gradient_endColor="@color/color_05ace8"
                            app:gradient_startColor="@color/color_20f3e6"
                            app:layout_constraintBottom_toBottomOf="@id/iv_total_info_icon4"
                            app:layout_constraintEnd_toEndOf="@id/tv_total_info_count4"
                            app:layout_constraintStart_toStartOf="@id/tv_total_info_count4"
                            app:layout_constraintTop_toBottomOf="@id/tv_total_info_count4" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_chart"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/ic_guide_vip_info_bg"
                    android:visibility="gone"
                    app:layout_constraintTop_toTopOf="parent">

                    <TextView
                        android:id="@+id/tv_chart_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="月份:12月    单位:条"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_10"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_legend1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableStart="@drawable/shape_ff9e3a_dp6"
                        android:drawablePadding="@dimen/dp_4"
                        android:gravity="center"
                        android:text="交易规模"
                        android:textColor="@color/white"
                        android:textSize="8sp"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@id/tv_chart_title"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="@id/tv_chart_title" />

                    <TextView
                        android:id="@+id/tv_legend2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:drawableStart="@drawable/shape_00d9ea_dp6"
                        android:drawablePadding="@dimen/dp_4"
                        android:gravity="center"
                        android:text="标段数"
                        android:textColor="@color/white"
                        android:textSize="8sp"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@id/tv_chart_title"
                        app:layout_constraintEnd_toStartOf="@id/tv_legend1"
                        app:layout_constraintTop_toTopOf="@id/tv_chart_title" />

                    <com.cheng.blzb.widget.BarChartView
                        android:id="@+id/barChart"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_280"
                        android:layout_marginTop="@dimen/dp_20"
                        app:layout_constraintTop_toBottomOf="@id/tv_chart_title" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_info_light1"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_48"
                    android:layout_marginStart="@dimen/dp_8"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:layout_marginBottom="-30dp"
                    android:src="@mipmap/ic_guide_vip_info_line"
                    app:layout_constraintBottom_toTopOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_info_light2"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_48"
                    android:layout_marginStart="@dimen/dp_8"
                    android:layout_marginTop="-34dp"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:src="@mipmap/ic_guide_vip_info_line"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <LinearLayout
                android:id="@+id/layout_countdown"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_18"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:visibility="invisible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/layout_info"
                tools:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="新人优惠结束"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_day"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_guide_vip_time_bg"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_04214f"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="天"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_hour"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_guide_vip_time_bg"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_04214f"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="时"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_minute"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_guide_vip_time_bg"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_04214f"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="分"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_second"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_guide_vip_time_bg"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_04214f"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="秒"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_goods"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginEnd="12dp"
                android:orientation="horizontal"
                android:visibility="invisible"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                app:layout_constraintTop_toBottomOf="@id/layout_countdown"
                tools:itemCount="3"
                tools:listitem="@layout/listitem_guide_vip_goods"
                tools:visibility="visible" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_pay"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_15"
                android:layout_marginEnd="@dimen/dp_12"
                android:visibility="invisible"
                app:layout_constraintTop_toBottomOf="@id/rv_goods"
                tools:visibility="visible">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/ic_guide_vip_info_bg">

                    <TextView
                        android:id="@+id/tv_wx_pay"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_60"
                        android:drawableStart="@mipmap/ic_wx_pay"
                        android:drawableEnd="@mipmap/ic_guide_pay_default"
                        android:drawablePadding="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:text="微信支付"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:id="@+id/view_line1"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:background="#1AFFFFFF"
                        app:layout_constraintTop_toBottomOf="@id/tv_wx_pay" />

                    <TextView
                        android:id="@+id/tv_ali_pay"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_60"
                        android:drawableStart="@mipmap/ic_ali_pay"
                        android:drawableEnd="@mipmap/ic_guide_pay_checked"
                        android:drawablePadding="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:text="支付宝支付"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintTop_toBottomOf="@id/tv_wx_pay" />

                    <View
                        android:id="@+id/view_line2"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:background="#1AFFFFFF"
                        app:layout_constraintTop_toBottomOf="@id/tv_ali_pay" />

                    <TextView
                        android:id="@+id/tv_bank_pay"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_60"
                        android:drawableStart="@mipmap/ic_transfer_pay"
                        android:drawableEnd="@mipmap/ic_guide_pay_default"
                        android:drawablePadding="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:text="对公转账"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintTop_toBottomOf="@id/tv_ali_pay" />

                    <View
                        android:id="@+id/view_line3"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:background="#1AFFFFFF"
                        app:layout_constraintTop_toBottomOf="@id/tv_bank_pay" />

                    <CheckBox
                        android:id="@+id/cb_agree"
                        android:layout_width="@dimen/dp_18"
                        android:layout_height="@dimen/dp_18"
                        android:layout_marginTop="@dimen/dp_15"
                        android:background="@null"
                        android:button="@null"
                        android:drawableStart="@drawable/selector_default_check"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_bank_pay" />

                    <TextView
                        android:id="@+id/tv_agree"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_8"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:text="我已阅读并同意《会员服务协议规则》和《自动续费服务规则》"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@id/cb_agree"
                        app:layout_constraintTop_toTopOf="@id/cb_agree" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_48"
                    android:layout_marginStart="@dimen/dp_8"
                    android:layout_marginBottom="-30dp"
                    android:src="@mipmap/ic_guide_vip_info_line"
                    app:layout_constraintBottom_toTopOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_48"
                    android:layout_marginTop="-34dp"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:src="@mipmap/ic_guide_vip_info_line"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toBottomOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_pay_btn"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginEnd="@dimen/dp_16"
        android:layout_marginBottom="@dimen/dp_15"
        android:background="@mipmap/ic_guide_vip_btn_bg"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="h,343:46"
        tools:visibility="visible">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_price"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintWidth_percent="0.588">

            <TextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/dp_10"
                android:text="￥398"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_24"
                app:layout_constraintStart_toStartOf="parent" />

            <TextView
                android:id="@+id/tv_invoice"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_8"
                android:layout_marginTop="@dimen/dp_10"
                android:text="(可开发票)"
                android:textColor="@color/color_a6e8f7"
                android:textSize="@dimen/sp_10"
                app:layout_constraintBottom_toTopOf="@id/tv_invoice"
                app:layout_constraintStart_toEndOf="@id/tv_price"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_saved_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_10"
                android:text="已优惠2000"
                android:textColor="@color/color_a6e8f7"
                android:textSize="@dimen/sp_10"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="@id/tv_invoice"
                app:layout_constraintTop_toBottomOf="@id/tv_invoice" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/tv_pay"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="立即订阅"
            android:textColor="#04214F"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/layout_price" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_35"
        android:layout_marginEnd="@dimen/dp_16"
        android:src="@mipmap/ic_guide_vip_close"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible" />
</androidx.constraintlayout.widget.ConstraintLayout>